
/* main document */
div.contents {
    margin-top: 10px;
    margin-left: 40px;
    margin-right: 50px;
}

/* Member titles */
.memtitle {
    padding: 8px;
    margin-bottom: -1px;
    background-image: none;
    background-color: #4b289b;
    line-height: 1.25;
    font-weight: 300;
    float: left;
    color:white;
    border-top: none;
    border-left: none;
    border-right: none;
}

/* Headers */
h1 {
    margin-top: 60px;
    margin-bottom: 40px;
}

h3 {
    margin-top: 30px;
    margin-bottom: 20px;
}

/* search bar */
.MSearchBoxActive #MSearchField {
    color: #ffffff;
}

/* Buttons */
.sm-dox {
    background-image:none;
    background-color:#4b289b;
}

.sm-dox a:hover {
    background-color: #7c56d3 !important;
    background-image: none;
    border-color: #4b289b;
    border-style: solid;
}

.sm-dox ul a:hover
{
    background-image:none;
}

.sm-dox a span.sub-arrow
{
    border-color: #ffffff transparent transparent transparent
}

.sm-dox a
{
    background-image:none;
}

.sm-dox a, .sm-dox a:focus, .sm-dox a:hover, .sm-dox a:active {
    padding: 0 12px;
    padding-right: 43px;
    font-size: 13px;
    font-weight: bold;
    line-height: 36px;
    text-decoration: none;
    color: #ffffff;
    outline: 0;
    text-shadow: None;
}



html {
    height: 100%;
}

body {
    min-height: 100%;
}

.tabs,.tabs2,.tabs3,.tablist li,.tablist li.current a,.tablist a,.tablist a:hover,.ui-resizable-e,div.header,#nav-tree .selected,#nav-tree,.memproto,dl.reflist dt,.memdoc,dl.reflist dd,#MSearchField,#MSearchBox .left,#MSearchBox .right, div.ah {
    background-image: none;
}

.tablist li.current a,.tablist a,.tablist a:hover,#nav-tree .selected {
    color: #7c56d3;
    text-shadow: none;
}

.tablist a:hover {
    color: #FFF;
    background-color: #9A9B9A;
}

.tablist li.current a {
    color: #FFF;
    background-color: #7c56d3;
}

.tabs,.tabs2,.tabs3 {
    font-size: 15px;
}

.tabs2 {
    font-size: 12px;
}

.ui-resizable-e {
    background-color: #7c56d3;
    width: 1px;
}

#titlearea {
    border-bottom: none;
    background-color: #FFF;
    color: #A2A2A2;
    display: none;
}
    
div.header {
    color: #ffffff;
    border-top: 2px solid #7c56d3;
    clear: both;
    background-color: #7c56d3;
}

#navrow1 {
    width: 40%;
    float: left;
}

#navrow2 {
    width: 40%;
    float: right;
    margin-right: 170px;
}

#navrow1 > ul {
    justify-content: flex-start;
}

#navrow2 > ul {
    justify-content: flex-end;
}

#navrow3 > ul {
    clear: both;
}

#nav-tree {
    background-color: #7c56d3;
}

#side-nav {
    top: 36px;
}

div.navpath {
    display: none;
}

.tablist {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
}

.memproto,dl.reflist dt {
    border: none;
    border-top-right-radius: 0;
    border-top-left-radius: 0;
    text-shadow: none;
    background-color: inherit;
    color: #7c56d3;
}

.memdoc,dl.reflist dd {
    border: none;
    text-shadow: none;
}

.memname {
    font-size: 1em;
}

.paramname {
    color: #353534;
}

.directory table {
    border-collapse: initial;
}

.directory tr {
    padding: 2px 0;
}

.directory td.entry {
    padding-bottom: 3px;
}

div.directory {
    border-top: none;
    border-bottom: none;
}

.contents a:visited {
    color: #353534;
}

h2.groupheader {
    border-bottom: 1px solid #7c56d3;
    color: #353534;
}

hr {
    border-top: none;
}

div.qindex,div.navtab {
    background-color: #7c56d3;
    border: none;
    color: #FFF;
}

div.ah {
	box-shadow: none;
	-webkit-box-shadow: none;
}

.icon {
	background-color: #7c56d3;
	color: white;
}

#navrow1 > .tablist > .current > a {
	background-color: #7c56d3;
}

.directory .levels span {
	color: #7c56d3;
}

div.fragment {
    background-color: #262626;
    color: #f2f2f2;
    padding: 10px;
}

#nav-tree a {
    color: #ffffff;
}

span.stringliteral {
    color: #ffa100;
}

span.keyword {
    color: #3CB0C7;
}

span.lineno {
	background-color: #0d0d0d;
	border-right: 2px solid #7c56d3;
}

span.comment {
	color: #7c56d3;
}

span.keywordtype {
	color: #7c56d3;
}

a.code, a.code:visited, a.line, a.line:visited {
	color: inherit; !important
}
